DAHDI_CFG(8)

NAME
dahdi_cfg - configures DAHDI kernel modules from /etc/dahdi/system.conf

SYNOPSIS
dahdi_cfg [-c CFG_FILE] [-SNUM [-SCHANS]] [-s] [-f] [-t] [-v [-v ... ] ] dahdi_cfg -h

DESCRIPTION
dahdi_cfg configures DAHDI interface cards from a config file. You generally need to run it with a valid configurations in order for DAHDI modules to work properly. It must be run to configure every DAHDI span. Normally it is run from the DAHDI init script.

OPTIONS
-c CFG_FILE
    Use an alternative configuration file instead of /etc/dahdi/system.conf If CFG_FILE is '-', it is read from stdin.
-C CHANNELS
    Only apply changes to channels in the specified range. Only applicable when -S is in use.
-s
    Only shutdown spans.
-S SPAN
    Only apply changes to span no. SPAN. You also need to specify the range of channels in the span explicitly with -C.
-f
    Always configure every channel, even if it appears not to have changed.
-t
    Test mode. Don't do anything, just report what you wanted to do.
-v
    Be more verbose. Add extra v-s for extra verbosity.
-h
    Display a brief help message.

FILES
/etc/dahdi/system.conf
    The default location for the configuration file.

SEE ALSO
dahdi_tool(8), dahdi_monitor(8), asterisk(8).

AUTHOR
This manual page was written by Santiago Ruano Rincón <santiago@unicauca.edu.co> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.